%{?nodejs_find_provides_and_requires}
%global enable_tests 0
Name:       nodejs-events
Version:    1.0.2
Release:    1%{?dist}
Summary:    Node's event emitter 
License:    MIT
URL:        https://github.com/Gozala/events
Source:     https://github.com/Gozala/events/archive/v%{version}.tar.gz

BuildArch:  noarch

BuildRequires:  nodejs-packaging
BuildRequires:  npm(mocha)

ExclusiveArch: %{nodejs_arches} noarch

%description
Node's event emitter for node.js

%prep
%setup -q -n events-%{version}

%build
#nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/nodejs-events
cp -pr events.js package.json \
    %{buildroot}%{nodejs_sitelib}/nodejs-events


%check
%if 0%{?enable_tests}
mocha --ui qunit -- tests/index.js
%endif

%files
%doc LICENSE History.md Readme.md tests/ 
%{nodejs_sitelib}/nodejs-events


%changelog
* Thu Nov 06 2014 Anish Patil <apatil@redhat.com> - 1.0.2-1
- Initial package
